
QGIS Application - Bug report #550

always crashes after pressing the right mouse button in GRASS Edit, with most tools

2007-01-25 02:18 AM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Redmine Admin

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10609

Description

1. add a GRASS vector

2. open it in GRASS Edit

3. select one of the tools:

Move vertex

Add vertex

Delete vertex

Move element

Split line

Delete element

3. press right mouse button on the canvas - segfault:

[[QgsGrassEdit]]::setCanvasPropmt

mProjectionEnabled = 0

error_routine (fatal = 1): Vect_read_line(): line '0' is not reasonable (max line in map: 1281)

Program received signal SIGSEGV, Segmentation fault.

[Switching to Thread -1242368320 (LWP 8392)]

0xb53cf0fe in V2_read_line_nat ()

   from /usr/local/grass-6.3.cvs/lib/libgrass_vect.so

(gdb) bt

#0  0xb53cf0fe in V2_read_line_nat ()

   from /usr/local/grass-6.3.cvs/lib/libgrass_vect.so

#3905  0xb53cec12 in Vect_read_line ()

   from /usr/local/grass-6.3.cvs/lib/libgrass_vect.so

#3906  0xb4dc9e3b in [[QgsGrassProvider]]::readLine ()

   from /usr/local/qgis08/lib/libqgisgrass.so.1

#3907  0xb4e346da in [[QgsGrassEdit]]::displayElement ()

   from /usr/local/qgis08/lib/qgis/grassplugin.so

#3908  0xb4e4922a in [[QgsGrassEditMoveVertex]]::mouseClick ()

   from /usr/local/qgis08/lib/qgis/grassplugin.so
#3909  0xb4e47d82 in [[QgsGrassEditTool]]::canvasPressEvent ()

   from /usr/local/qgis08/lib/qgis/grassplugin.so

#3910  0xb6845d89 in [[QgsMapCanvas]]::contentsMousePressEvent ()

   from /usr/local/qgis08/lib/libqgis_gui.so.1

#3911  0xb7b29e0b in Q3ScrollView::viewportMousePressEvent (this=0x81d71e8,

    e=0xbff3d98c) at widgets/q3scrollview.cpp:1721

#3912  0xb7b2a7d9 in Q3ScrollView::eventFilter (this=0x81d71e8, obj=0x81e7b80,

    e=0xbff3d98c) at widgets/q3scrollview.cpp:1471

#3913  0xb73ec731 in QApplicationPrivate::notify_helper (this=0x80661a8,

    receiver=0x81e7b80, e=0xbff3d98c) at kernel/qapplication.cpp:3426

#10 0xb73efecc in QApplication::notify (this=0xbff3e088, receiver=0x81e7b80,

    e=0xbff3d98c) at kernel/qapplication.cpp:3133

#3914 0xb7449bcf in QETWidget::translateMouseEvent (this=0x81e7b80,

    event=0xbff3dc8c) at qcoreapplication.h:186

#3915 0xb74494c2 in QApplication::x11ProcessEvent (this=0xbff3e088,

    event=0xbff3dc8c) at kernel/qapplication_x11.cpp:2764

#3916 0xb746ce72 in x11EventSourceDispatch (s=0x8086450, callback=0,

    user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:122

#3917 0xb64458d6 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0

#3918 0xb6448996 in g_main_context_check () from /usr/lib/libglib-2.0.so.0

#3919 0xb6448e1e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0

#3920 0xb7ddd4ba in QEventDispatcherGlib::processEvents (this=0x8084b90,

    flags=@0xbff3de98) at kernel/qeventdispatcher_glib.cpp:363

#3921 0xb746cb9b in QGuiEventDispatcherGlib::processEvents (this=0x8084b90,

    flags=@0x8500e1a) at kernel/qguieventdispatcher_glib.cpp:178

#3922 0xb7db80bd in QEventLoop::processEvents (this=0x8518668, flags=@0x8518668)

    at kernel/qeventloop.cpp:126

#3923 0xb7db8238 in QEventLoop::exec (this=0xbff3df40, flags=@0xbff3df48)

    at kernel/qeventloop.cpp:172

#3924 0xb7dbaadd in QCoreApplication::exec () at kernel/qcoreapplication.cpp:727

#3925 0xb73ec269 in QApplication::exec () at kernel/qapplication.cpp:2927

#3926 0x0804bf2f in main ()

BTW: I suggest that the right mouse button always de-selects the active tool. Currently, when "New point" or "New controid" tool is used,

right-click acts same as the left-click (digitises a new feature). Also, when the GRASS Edit starts, no tool should be active - currently "New

point" is always active at a start.

Maciek

History

#1 - 2007-01-25 02:20 AM - Redmine Admin

P.S.

Using 0.8 SVN 6453.

#2 - 2007-02-25 07:17 PM - Tim Sutton

Moved to milestone 0.8.2 since we wont be fixing any further issues before the 0.8.1 release
#3 - 2007-04-09 01:56 PM - Redmine Admin

I can't reproduce it with 0.8.1 (latest svn Release_0_8_0 branch). Right button does nothing. No crash, no error message.

#4 - 2007-04-10 10:01 AM - Maciej Sieczka -

- Resolution set to worksforme

- Status changed from Open to Closed

Replying to [comment:5 lubaby]:

I can't reproduce it with 0.8.1 (latest svn Release_0_8_0 branch). Right button does nothing.

No crash, no error message.

I confirm. The crash is gone. I'll close the ticket. If the problem returns I'll re-open it. Thanks for the heads-up!

However the defect that right click digitizes point or centroid is still valid. I'll submit it in a separate ticket.

#5 - 2007-06-25 10:01 AM - Maciej Sieczka -

- Resolution deleted (worksforme)

- Status changed from Closed to Feedback

The bug is back. No segfault, but QGIS 0.8.2 svn 7045 crashes when I do the following:

1. add the any GRASS vector (eg. "archsites" from spearfish60 dataset r1)

2. open it in GRASS Edit

3. select one of the tools:

Move vertex

Add vertex

Delete vertex

Move element

Split line

Delete element

3. press right mouse button on the canvas - crash, no segfault:

$ gdb /usr/local/qgis08/bin/qgis

(gdb) run

Starting program: /usr/local/qgis08/bin/qgis

(no debugging symbols found)

(no debugging symbols found)

(no debugging symbols found)

(no debugging symbols found)

[Thread debugging using libthread_db enabled]

[New Thread -1259514176 (LWP 30022)]
warning: Lowest section in /usr/lib/libicudata.so.34 is .hash at 00000094

[New Thread -1262711888 (LWP 30221)]

[New Thread -1271501904 (LWP 30224)]

[Thread -1271501904 (LWP 30224) exited]

[New Thread -1279894608 (LWP 30225)]

[Thread -1279894608 (LWP 30225) exited]

[[QgsGrass]]::vectors()

Warning: [[QgsSpatialRefSys]]::createFromSrsId failed :  select

srs_id,description,projection_acronym,ellipsoid_acronym,parameters,srid,epsg,is_geo from tbl_srs where srs_id='0'

Warning: QPainter::begin: Painter already active

Warning: QPainter::begin: Painter already active

mProjectionEnabled = 0

[[QgsGrassEdit]]::setCanvasPropmt

mProjectionEnabled = 0

[[QgsGrassEdit]]::setCanvasPropmt

mProjectionEnabled = 0

error_routine (fatal = 1): Vect_read_line(): line '0' is not reasonable (max line in map: 25)

Program exited with code 01.

r1[http://grass.itc.it/download/data6.php]

#6 - 2007-11-06 04:54 PM - Martin Dobias

- Resolution set to fixed

- Status changed from Feedback to Closed

Fixed in commit:8eb037cc (SVN r7344), also with usability suggestions.

#7 - 2009-08-22 12:52 AM - Anonymous

Milestone Version 0.8.2 deleted
